# Stochastic Modeling

Stochastic modeling is a statistical approach that incorporates random variables to analyze and predict the behavior of complex systems. It used to model processes that involves undercetainty of randomness, such as a financial markets, weather patterns, or biological systems. 

## TD;DR

Stochastic modeling is a mathematical approach used to predict and analyze systems or processes that involve inherent randomness and uncertainty. Unlike deterministic models, which yield the same outcome for a given set of inputs, stochastic models incorporate random variables, resulting in a range of possible outcomes, each with an associated probability. 

## Key characteristics

- Incorporates Randomness: Stochastic models use random variables to reflect the uncertainty and variability present in real-world systems. 
- Probability Distributions: The outcomes are described by probability distributions, which quantify the likelihood of different scenarios. 
- Multiple Outcomes: Running the model multiple times with varying random inputs produces a spectrum of possible results, not just a single prediction. 
- Scenario Simulation: These models enable simulation of various scenarios, helping users understand the range and probability of potential outcomes. 



**Stochastic vs. Deterministic Models**

| Feature        | Stochastic Model                                           | Deterministic Model               |
| -------------- | ---------------------------------------------------------- | --------------------------------- |
| Randomness     | Yes (built into the model)                                 | No (inputs and outputs are fixed) |
| \# of outcomes | Multiple, each with a probability                          | Single, repeatable outcome        |
| Use case       | Systems with inherent uncertainty (e.g., finance, weather) | Predictable systems               |
| Example        | Monte Carlo Simulation, Markov chains                      | Simplre interest calculation      |

